<?php
namespace App\Models;
class BudgetVirement extends BaseModel {
    public function fromLine() { return $this->belongsTo(BudgetLine::class, 'from_budget_line_id'); }
    public function toLine() { return $this->belongsTo(BudgetLine::class, 'to_budget_line_id'); }
    public function requester() { return $this->belongsTo(User::class, 'requested_by'); }
    public function approver() { return $this->belongsTo(User::class, 'approved_by'); }
}
